<?php
require '../../conexao/conexao.php';
require '../../conexao/acesso.php';
require '../../configuacoes.php';

if (isset($_GET['id']) && $_GET['id'] == '0') {
    $pageTitle = "Incluir Novo Percentual"; // Definir o título da página aqui
} else {
    $pageTitle = "Alterar Percentual";
}

$result = $connectionmysql->query("SELECT * FROM percentual");
if ($result) {
    while ($row = $result->fetch_assoc()) {
    }
} else {
    echo "percentual ao consultar erros: " . $connectionmysql->error;
}

$percentual = array(
    'id_percentual' => '0',
    'valor_percentual' => '',
);
//Verificando se é alteração
if (isset($_GET['id']) && $_GET['id'] == '1') {


    $idPercentual = $_GET['idPercentual'];


    $stmt = $connectionmysql->prepare("");

    if ($stmt) {
        // Vinculando parâmetros e executando a declaração
        $stmt->bind_param("i", $idPercentual); // 'i' indica que é um inteiro
        $stmt->execute();

        // Obtendo os resultados
        $result = $stmt->get_result();
        if ($result->num_rows > 0) {
            $percentual = $result->fetch_assoc(); //preenchendo as variáveis com o retorno da query

        } else {
            echo "Nenhuma percentual encontrada com o ID especificado.";
        }

        $stmt->close();
    } else {
        echo "percentual ao preparar a declaração: " . $connectionmysql->error;
    }
}
include('../header.php');
include('../menu.php');

?>

<!DOCTYPE html>
<html lang="pt-br">

<head>
    <link rel="icon" href="\KPI\pages/configuracoes/logo-sm.png">
    <link rel="shortcut icon" href="\KPI\pages/configuracoes/logo-sm.png">

</head>

<body>

    <!-- ============================================================== -->
    <!-- Start Page Content here -->
    <!-- ============================================================== -->
    <div class="wrapper">
        <div class="container-fluid">

            <div class="card-box mt-3">

                <div class="row">
                    <div class="col-6 text-left">
                        <h4 class="page-title"><?php echo $pageTitle ?></h4>
                    </div>

                    <div class="col-6 text-right">
                        <button onclick="goBack()" class="btn btn-light"><i class="mdi mdi-keyboard-backspace"></i> Voltar</button>
                    </div>

                    <div class="col-12">
                        <hr>
                    </div>

                    <div class="col-12">
                        <form id="from_inclusao_erro" method="post" action="processa_cadastro_alteracao_percentual.php" onsubmit="return validarFormulario();">
                            <div class="form-row mb-4">
                                <div class="form-group col-6 col-md-4 col-lg-2">
                                    <label for="percentual" class="col-form-label">Novo Percentual<span class="text-danger">*</span></label>
                                    <p><input type="text" name="percentual" id="percentual" class="form-control money" placeholder="Informe o nome do percentual" value="<?php echo isset($percentual) ? htmlspecialchars($percentual['valor_percentual']) : ''; ?>" oninput="validarCampo('percentual', this.value)"></p>
                                </div>
                                <input type="hidden" name="id_percentual" id="id_percentual" value="<?php echo htmlspecialchars($percentual['id_percentual']); ?>">
                                <div class="col-6 col-md-8 col-lg-10 mt-4 text-right">
                                    <button type="submit" class="btn btn-primary"><i class="mdi mdi-magnify"></i> Salvar</button>
                                </div>
                        </form>
                    </div>
                </div>
            </div>

        </div>

    </div> <!-- end container -->



    <!-- end wrapper -->

    <!-- ============================================================== -->
    <!-- End Page content -->
    <!-- ============================================================== -->

    <?php
    include('../footer.php');
    include('../../geral/mensagens_modais.php');
    ?>

    <!-- Vendor js -->
    <script src="../../../assets/js/vendor.min.js"></script>

    <!-- Init js-->
    <script src="../../../assets/js/pages/form-advanced.init.js"></script>

    <!-- knob plugin -->
    <script src="../../../assets/libs/jquery-knob/jquery.knob.min.js"></script>
    <!-- App js-->
    <script src="../../../assets/js/app.min.js"></script>
    <script src="../../geral/javascript.js"></script>
    <!-- Mask -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.16/jquery.mask.min.js"></script>
    <script>
        $(document).ready(function() {
            $(".money").mask("0000", {
                reverse: true
            });
        });

        function showModal(modalId, title, message) {
            const modalElement = document.getElementById(modalId);
            const modal = new bootstrap.Modal(modalElement);
            modalElement.querySelector('.modal-title').textContent = title;
            modalElement.querySelector('.modal-body p').textContent = message;
            modal.show();
        }

        function verificarErroNaURL() {
            const urlParams = new URLSearchParams(window.location.search);
            const errorMessage = urlParams.get('error');
            if (errorMessage) {
                showModal('exampleModal', 'Informação', errorMessage);
            }
        }

        window.onload = verificarErroNaURL;

        function exibirMensagemErro(mensagem, id) {
            let errorDiv;
            var existingError = document.querySelector('#' + id + ' + .error-message');
            if (existingError) {
                existingError.parentNode.removeChild(existingError);
            }
            // Cria uma nova div de percentual e a adiciona à div alvo
            errorDiv = document.createElement('div');
            errorDiv.textContent = mensagem;
            errorDiv.classList.add('error-message');
            document.getElementById(id).parentNode.appendChild(errorDiv);
        }


        function removerMensagemErro(id) {
            var existingError = document.querySelector('#' + id + ' + .error-message');
            if (existingError) {
                existingError.parentNode.removeChild(existingError);
            }
        }



        function validarCampo(id) {
            let campo = document.getElementById(id);
            let valor = campo.value.trim();
            let camposValidos = true;

            if (!valor) {
                camposValidos = false;
                campo.classList.add('is-invalid');
                exibirMensagemErro('Por favor, preencha este campo.', id);
            } else {
                campo.classList.remove('is-invalid');
                removerMensagemErro(id);
            }
            return camposValidos;
        }

        function validarFormulario() {
            let percentualValido = validarCampo("percentual");

            return percentualValido;
        }

        function goBack() {
            window.history.back();
        }
    </script>
    <style>
        .is-invalid {
            border: 1px solid red;
        }

        .error-message {
            color: red;
            font-size: 1em;
        }
    </style>
</body>